<template>
  <div class="conversation-home">
    <BaseImg
      src="/new-conversation-state.png"
      alt="New conversation"
      :cdn="false"
      class="new-conversation-image"
    />
    <JText
      type="title-3"
      color="secondary-title"
      weight="normal"
      class="mb-9"
    >
      {{ $t('start_chat_page_title') }}
    </JText>
    <CreateChatBtn #default="slotProps">
      <JButton
        v-bind="slotProps"
        size="s"
      >
        <div class="create-chat-btn">
          <JIcon
            icon="presentation"
            size="20px"
            class="icon"
          />
          {{ $t('create_new_chat') }}
        </div>
      </JButton>
    </CreateChatBtn>
  </div>
</template>

<script setup lang="ts">
import { JText, JButton, JIcon } from '@new-jira-clone/ui/src/components';
import { CreateChatBtn } from '@/features/create-chat';
</script>

<style scoped lang="scss">
.conversation-home {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 3;
  width: 100%;
  height: 100%;
  background-color: var(--j-app-bg);
}

.new-conversation-image {
  margin-bottom: 24px;
  width: 200px;
  height: 200px;
}

.create-chat-btn {
  display: flex;
  align-items: center;

  .icon {
    margin-right: 8px;
    fill: #fff;
  }
}
</style>
